<?php

/*

 $Id: search.inc,v 1.55.2.1 2004/02/22 17:45:24 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/search.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


*/

/*!
	@header Search Template
	This template is called when searching, it is the form you use to actually search. There are four types of searches Simple,
	Advanced, Fuzzy IP (IP Range) and IP Ranges (returns actuall full ranges)
*/

if ($conf['search']->form_type == "advanced") {
	$search_type = "Advanced Search"; 
}
elseif ($conf['search']->form_type == "fuzzy_ip") {
	$search_type = "IP Range Search";
}
elseif ($conf['search']->form_type == "range_search") { 
	$search_type = "Range Search"; 
}
elseif ($conf['search']->form_type == "simple" OR !$conf['search']->form_type) {
	$search_type = "Simple Search";
}

if ($conf['search']->form_type != "fuzzy_ip" AND $conf['search']->form_type != "range_search") { 


/*####################
Simple/Advanced Search
####################*/
?>


<form name="search" method="get" enctype="multipart/form-data" style="Display:inline" action="search.php" >

<table border="1" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td>
	<!-- Start the search table -->
<table border="0" cellpadding="3" cellspacing="0" width="100%" bgcolor="<?= $conf['color']->bg['body_common']; ?>">
<tr align="left">
	<td colspan="2" class="widget-title"><?= $search_type; ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td>Search:</td>
	<td><input type="text" name="search_string" value="<?= $conf['search']->string; ?>" size="24" maxlength="255" />
	<? if ($conf['error']->get_status('search_string') ) { $conf['error']->show_message('search_string'); } ?>
	</td>
</tr>
<? if ($conf['search']->form_type != "advanced") { ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td valign="top">Object Type:</td>
	<td>
	<?
		if ($conf['search']->field != 'ha' && $conf['search']->field != 'ip') { $conf['search']->field = 'name'; }
		$field = $conf['search']->field . '_checked';
		${$field} = "CHECKED";		
	?>
	<input type="radio" id="name_search_field" name="search_field" value="name" onclick="enableField('fuzzy_search_type');" <?= $name_checked; ?> />Hostname <? $conf['help']->show_link('hostname'); ?><br />
	<input type="radio" id="ha_search_field" name="search_field" value="ha" onclick="enableField('fuzzy_search_type');" <?= $ha_checked; ?> />Hardware Address <? $conf['help']->show_link('hardware_address'); ?><br />
	<input type="radio" id="ip_search_field" name="search_field" value="ip" onclick="disableField('fuzzy_search_type');" <?= $ip_checked; ?> />IP Address <? $conf['help']->show_link('ip_address'); ?><br />
	<br />
	</td>
</tr>
<? } ?>
<? if ($conf['search']->form_type == "advanced") { ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td valign="top">Object Type:</td>
	<td>
        <?
                $field = $conf['search']->field . '_checked';
                ${$field} = "SELECTED";
        ?>
	<select name="search_field">
		<option value="name" onclick="enableField('fuzzy_search_type');" <?= $name_checked; ?> >Hostname</option>
		<option value="domain_name" onclick="enableField('fuzzy_search_type');" <?= $domain_name_checked; ?> >Host Domain Name</option>
		<option value="ha" onclick="enableField('fuzzy_search_type');" <?= $ha_checked; ?> >Hardware Address</option>
		<option value="os" onclick="enableField('fuzzy_serach_type');" <?= $os_checked; ?> >Operating System</option>
		<option value="ip" onclick="disableField('fuzzy_search_type');" <?= $ip_checked; ?> >IP Address</option>
		<option value="hardware_type" onclick="enableField('fuzzy_search_type');" <?= $hardware_type_checked; ?> >Hardware Type</option>
		<option value="other_id" onclick="enableField('fuzzy_search_type');" <?= $other_id_checked; ?> >Other ID</option>
		<option value="location" onclick="enableField('fuzzy_search_type');" <?= $location_checked; ?> >Location</option>
		<option value="serial" onclick="enableField('fuzzy_search_type');" <?= $serial_checked; ?> >Host Serial</option>
 		<option value="cname" onclick="enableField('fuzzy_search_type');" <?= $cname_checked; ?> >CNAME</option>
 		<option value="cserver" onclick="enableField('fuzzy_search_type');" <?= $cserver_checked; ?> >CNAME Server</option>
		<option value="mx" onclick="enableField('fuzzy_search_type');" <?= $mx_checked; ?> >MX Record</option>
		<option value="mxserver" onclick="enableField('fuzzy_search_type');" <?= $mxserver_checked; ?> >MX Record Server</option>
		<option value="domain" onclick="enableField('fuzzy_search_type');" <?= $domain_checked; ?> >Domain</option>	
		<option value="host_history" onclick="enableField('fuzzy_search_type');" <?= $host_history_checked; ?> >Host History</option>
		<? if ($user->is_admin) { ?>
		<option value="user" onclick="enableField('fuzzy_search_type');" <?= $user_checked; ?> >Username</option> 
		<option value="workgroup_name" onclick="enableField('fuzzy_search_type');" <?= $workgroup_name_checked; ?> >Workgroup Name</option>
		<? } ?>
	</select>
	</td>
</tr>
<? } ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td valign="top">Search Type:</td>
	<td>
	<? 
	if ($conf['search']->field == 'ip') { 
		$conf['search']->type = 'exact'; 
	} 
	?>
	<input type="radio" <? if ($conf['search']->field =='ip') { echo "disabled"; } ?> id="fuzzy_search_type" name="search_type" value="fuzzy" <? if ($conf['search']->type != "exact") { echo "CHECKED"; } ?> />Fuzzy <? $conf['help']->show_link('search_fuzzy'); ?><br />
	<input type="radio" id="exact_search_type" name="search_type" value="exact" <? if ($conf['search']->type == "exact") { echo "CHECKED"; } ?> />Exact <? $conf['help']->show_link('search_exact'); ?>
	<br />
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td valign="top">Search From:</td>
	<td>
	<? $zones = $user->get_zones_select(); // gets their zones for use later in search ?>
	<input type="radio" name="search_zone" value="all" <? if ($conf['search']->zone == "all" or !$zones) { echo "CHECKED"; } ?> />All Zones <? $conf['help']->show_link("search_all_zones"); ?><br />
	<? if ($zones) { ?>
	<input type="radio" name="search_zone" value="mine" <? if ($conf['search']->zone != "all") { echo "CHECKED"; } ?> />My Zones <? $conf['help']->show_link("search_myzones"); ?><br />
	<? } ?>
	<? if ($conf['zone']) { ?><input type="radio" name="search_zone" value="<?= $conf['zone']->id ?>" <? if ($conf['search']->zone == $conf['zone']->id) { echo "CHECKED"; } ?> /><? echo $conf['zone']->name ?> <? $conf['help']->show_link("search_specific_zone"); ?><br /> <? } ?>	
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
        <td>Override Search Limit:</td>
        <td><input type="checkbox" name="override_limit" value="true" <? if ($conf['search']->override_limit) { echo "CHECKED"; } ?> /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td colspan="2">
	<input type="hidden" name="search_form_type" value="<?= $conf['search']->form_type; ?>" />
	<input type="submit" value="Display Now" />&nbsp;&nbsp;&nbsp;
	<input type="reset" value="Reset Form" />
	<input type="hidden" name="action" value="search_hosts" />
	<input type="hidden" name="view_reset" value="1" />
	</td>
</tr>
</table>
	<!-- End of Search Table -->
	</td>
</tr>
</table>

</form>


<br /><br />


<? } elseif ($conf['search']->form_type == "fuzzy_ip" OR $conf['search']->form_type == "range_search") { ?>

<form method="post" enctype="multipart/form-data" style="Display:inline" action="search.php">
<table border="1" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td>
	<!-- Start the search table -->
<table border="0" cellpadding="3" cellspacing="0" width="100%" bgcolor="<?= $conf['color']->bg['body_common']; ?>">
<tr align="left">
	<td colspan="2" class="widget-title"><?= $search_type; ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td>IP Address Start Range:</td>
	<td>
	<input type="text" size="18" maxlength="15" name="start_range" />
	<? if ($conf['error']->get_status('start_range') ) { $conf['error']->show_message('start_range'); } ?>
	<? //the below added so that if over the allowed results are returned it shows the error
	 if ($conf['error']->get_status('search_string') ) { $conf['error']->show_message('search_string'); } ?>
	
	</td>
</tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td>IP Address End Range:</td>
	<td>
	<input type="text" size="18" maxlength="15" name="end_range" />
	<? if ($conf['error']->get_status('end_range') ) { $conf['error']->show_message('end_range'); } ?>
	</td>
	
</tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td valign="top">Search From:</td>
	<td>
	<? if ($conf['zone']) { ?><input type="radio" name="search_zone" value="<? echo $conf['zone']->id ?>" /><? echo $conf['zone']->name ?> <? $conf['help']->show_link("search_specific_zone"); ?><br /> <? } ?>	
	<input type="radio" name="search_zone" value="all" CHECKED />All Zones <? $conf['help']->show_link("search_all_zones"); ?><br />
	<input type="radio" name="search_zone" value="mine" />My Zones <? $conf['help']->show_link("search_myzones"); ?><br />
	</td>
</tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td colspan="2"><input type="submit" value="Search!" />
	<input type="hidden" name="action" value="search_hosts" />
	<input type="hidden" name="search_type" value="fuzzy" />
	<input type="hidden" name="search_field" value="<?= $conf['search']->form_type; ?>" />
	<input type="hidden" name="search_string" value="<?= $conf['search']->form_type; ?>" />
	<input type="hidden" name="search_form_type" value="<?= $conf['search']->form_type; ?>" />
	<input type="hidden" name="view_reset" value="1" />
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
        <td>Override Search Limit:</td>
        <td><input type="checkbox" name="override_limit" value="true" <? if ($conf['search']->override_limit) { echo "CHECKED"; } ?>$
</tr>
</table>
</form>
	<!-- End of Search Table -->
	</td>
</tr>
</table>
<? } ?>
